For the complete documentation index, see llms.txt. This page is also available as Markdown.

List all parcels

How to fetch a collection of parcels via API

To fetch a collection of parcels, send a GET request to the /api/parcels endpoint.

Request

GET https://yourdomain.commercelayer.io/api/parcels

Example

The following request fetches a collection of parcels:

curl -g -X GET \
  'https://yourdomain.commercelayer.io/api/parcels/' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token'

On success, the API responds with a 200 OK status code, returning a paginated collection of resource objects:

{
  "data": [
    {
      "id": "XAyRWNUzyN",
      "type": "parcels",
      "links": {
        "self": "https://yourdomain.commercelayer.io/api/parcels/XAyRWNUzyN"
      },
      "attributes": {
        "number": "#1234/S/001/P/001",
        "weight": 1000.0,
        "unit_of_weight": "gr",
        "eel_pfc": "EEL",
        "contents_type": "merchandise",
        "contents_explanation": "",
        "customs_certify": false,
        "customs_signer": "John Doe",
        "non_delivery_option": "return",
        "restriction_type": "none",
        "restriction_comments": "",
        "customs_info_required": false,
        "shipping_label_url": "https://bucket.s3-us-west-2.amazonaws.com/files/postage_label/20180101/123.pdf",
        "shipping_label_file_type": "application/pdf",
        "shipping_label_size": "4x7",
        "shipping_label_resolution": "200",
        "tracking_number": "1Z4V2A000000000000",
        "tracking_status": "delivered",
        "tracking_status_detail": "arrived_at_destination",
        "tracking_status_updated_at": "2018-01-01T12:00:00.000Z",
        "tracking_details": [
          {
            "object": "TrackingDetail",
            "message": "Pre-Shipment information received",
            "status": "pre_transit",
            "datetime": "2018-02-27T16:02:17Z",
            "source": "DHLExpress",
            "tracking_location": {
              "object": "TrackingLocation"
            }
          }
        ],
        "carrier_weight_oz": "42.32",
        "signed_by": "John Smith",
        "incoterm": "EXW",
        "delivery_confirmation": "SIGNATURE",
        "created_at": "2018-01-01T12:00:00.000Z",
        "updated_at": "2018-01-01T12:00:00.000Z",
        "reference": "ANY-EXTERNAL-REFEFERNCE",
        "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
        "metadata": {
          "foo": "bar"
        }
      },
      "relationships": {
        "shipment": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/parcels/XAyRWNUzyN/relationships/shipment",
            "related": "https://yourdomain.commercelayer.io/api/parcels/XAyRWNUzyN/shipment"
          }
        },
        "package": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/parcels/XAyRWNUzyN/relationships/package",
            "related": "https://yourdomain.commercelayer.io/api/parcels/XAyRWNUzyN/package"
          }
        },
        "parcel_line_items": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/parcels/XAyRWNUzyN/relationships/parcel_line_items",
            "related": "https://yourdomain.commercelayer.io/api/parcels/XAyRWNUzyN/parcel_line_items"
          }
        },
        "attachments": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/parcels/XAyRWNUzyN/relationships/attachments",
            "related": "https://yourdomain.commercelayer.io/api/parcels/XAyRWNUzyN/attachments"
          }
        },
        "events": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/parcels/XAyRWNUzyN/relationships/events",
            "related": "https://yourdomain.commercelayer.io/api/parcels/XAyRWNUzyN/events"
          }
        },
        "event_stores": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/parcels/XAyRWNUzyN/relationships/event_stores",
            "related": "https://yourdomain.commercelayer.io/api/parcels/XAyRWNUzyN/event_stores"
          }
        }
      },
      "meta": {
        "mode": "test",
        "organization_id": "xRRkjDFafe",
        "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
      }
    },
    {
      "other": "... 9 parcels (first page)"
    }
  ],
  "meta": {
    "record_count": 140,
    "page_count": 14,
    "page_size": 10,
    "page_number": 1,
    "mode": "test",
    "organization_id": "xRRkjDFafe",
    "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
  },
  "links": {
    "first": "https://yourdomain.commercelayer.io/api/parcels?page[number]=1&page[size]=10",
    "next": "https://yourdomain.commercelayer.io/api/parcels?page[number]=2&page[size]=10",
    "last": "https://yourdomain.commercelayer.io/api/parcels?page[number]=14&page[size]=10"
  }
}

Remember that when you fetch a list of resources you get paginated result.

Sortable fields

The list of parcels can be sorted by the following fields:

Attributes

  • weight

  • tracking_status

  • tracking_status_updated_at

  • carrier_weight_oz

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

Relationships

  • shipment

  • package

Filterable fields

The list of parcels can be filtered by the following fields:

Attributes

  • weight

  • contents_explanation

  • shipping_label_url

  • shipping_label_file_type

  • shipping_label_size

  • shipping_label_resolution

  • tracking_number

  • tracking_status

  • tracking_status_detail

  • tracking_status_updated_at

  • carrier_weight_oz

  • incoterm

  • delivery_confirmation

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

  • metadata

Relationships

  • shipment

  • package

  • parcel_line_items

  • attachments

  • events

Last updated